ActionContext (jEdit API Documentation)

Package org.gjt.sp.jedit

## Class ActionContext

- java.lang.Object
- - org.gjt.sp.jedit.JEditActionContext<EditAction,​ActionSet>
  - - org.gjt.sp.jedit.ActionContext

-     public abstract class ActionContext
      extends JEditActionContext<EditAction,​ActionSet>

  Manages a collection of action sets. There are two instances of this class in jEdit:
  - `jEdit.getActionContext()` - editor actions
  - `VFSBrowser.getActionContext()` - browser actions
  Since:
    jEdit 4.2pre1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EditAction` | `getAction​(java.lang.String name)` | Returns the specified action.
    `ActionSet` | `getActionSetForAction​(java.lang.String action)` | Returns the action set that contains the specified action.

    - ### Methods inherited from class org.gjt.sp.jedit.JEditActionContext

      `addActionSet, getActionNames, getActionSets, invokeAction, removeActionSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionContext

          public ActionContext()

  - ### Method Detail

    - #### getActionSetForAction

          public ActionSet getActionSetForAction​(java.lang.String action)

      Returns the action set that contains the specified action. This method is still here for binary compatility
      Overrides:
        `getActionSetForAction` in class `JEditActionContext<EditAction,​ActionSet>`
      Parameters:
        `action` - The action
      Returns:
        the actionSet that contains the given action
      Since:
        jEdit 4.2pre1

    - #### getAction

          public EditAction getAction​(java.lang.String name)

      Returns the specified action.
      Overrides:
        `getAction` in class `JEditActionContext<EditAction,​ActionSet>`
      Parameters:
        `name` - The action name
      Returns:
        a EditAction or null if it doesn't exist
      Since:
        jEdit 4.2pre1